import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'

import ElementUI from 'element-ui';
import "element-ui/lib/theme-chalk/index.css";
Vue.use(ElementUI);
import axios from 'axios';
Vue.prototype.$axios = axios;

// 引入Echarts
import * as echarts from 'echarts'
Vue.prototype.$echarts = echarts

//引入mapbox css
import 'mapbox-gl/dist/mapbox-gl.css'
//引入mapbox
import mapboxgl from 'mapbox-gl';
//将mapbox挂在到Vue对象上
Vue.prototype.$mapboxgl = mapboxgl;

new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')
